Panduan pembalasan.id
Profile

Update user profile

PUT
/api/v1/profile

Update the user profile details

Authorization

userApiKey
api_access_token<token>

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

In: header

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/api/v1/profile" \  -H "Content-Type: application/json" \  -d '{    "profile": {}  }'
{
  "id": 0,
  "access_token": "string",
  "account_id": 0,
  "available_name": "string",
  "avatar_url": "string",
  "confirmed": true,
  "display_name": "string",
  "message_signature": "string",
  "email": "string",
  "hmac_identifier": "string",
  "inviter_id": 0,
  "name": "string",
  "provider": "string",
  "pubsub_token": "string",
  "role": "agent",
  "ui_settings": {},
  "uid": "string",
  "type": "string",
  "custom_attributes": {},
  "accounts": [
    {
      "id": 0,
      "name": "string",
      "status": "string",
      "active_at": "2019-08-24T14:15:22Z",
      "role": "administrator",
      "permissions": [
        "string"
      ],
      "availability": "string",
      "availability_status": "string",
      "auto_offline": true,
      "custom_role_id": 0,
      "custom_role": {}
    }
  ]
}
Empty